<!DOCTYPE HTML>
<html xmlns:th="http://www.thymeleaf.org">
<head>
<title>Getting Started: Serving Web Content</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<!--Plugin-->
<link rel="stylesheet" th:href="@{/css/vendor/bootstrap.min.css}" />
<link rel="stylesheet" th:href="@{/css/style.css}" />
</head>
<body>
	<nav
		class="navbar navbar-expand-lg navbar-light bg-light justify-content-between">
		<a class="navbar-brand" href="#">Human Resource Management System</a>
		<button class="navbar-toggler" type="button" data-toggle="collapse"
			data-target="#navbarSupportedContent"
			aria-controls="navbarSupportedContent" aria-expanded="false"
			aria-label="Toggle navigation">
			<span class="navbar-toggler-icon"></span>
		</button>
		<a href="/logout" class="btn btn-outline-primary"> Logout </a>
	</nav>
	<div class="employeeContainer">
		<div class="container-fluid title">
			<span style="font-size: 1.2rem">Employee Record</span>
			
		</div>
		<div class="modal-body">
			<div class="row">
				<div class="form-group col">
					<label>First Name</label> <input type="text" readonly
						class="form-control form-control-sm" id="firstName">
				</div>

				<div class="form-group col">
					<label>Last Name</label> <input type="text" readonly
						class="form-control form-control-sm" id="lastName">
				</div>
			</div>

			<div class="row">
				<div class="form-group col">
					<label>Username</label> <input type="text" readonly
						class="form-control form-control-sm" id="username">
				</div>

				<div class="form-group col">
					<label>Department</label> <input readonly
						class="form-control form-control-sm" id="department" />
				</div>
			</div>

			<div class="form-group">
				<label>Skills</label>
				<div id="skillTags"></div>
			</div>

		</div>

	</div>

	<footer>
		<!--Plugin Script-->
		<script th:src="@{/js/vendor/jquery-3.3.1.min.js}"></script>
		<script th:src="@{/js/vendor/bootstrap.bundle.min.js}"></script>
		<script th:src="@{/js/employee.js}"></script>
		<script th:inline="javascript">
			$(document).ready(function() {
				const employeeId = /*[[${#authentication.principal.employeeId}]]*/;
				onLoad(employeeId);
			});
		</script>
	</footer>
</body>
</html>